{{- if .image }}
  {{- $id := .image -}}
  {{- if isset .image "id" -}}
    {{- $id = .image.id -}}
  {{- end -}}
  {{- $image := partial "osuny/GetMedia" $id -}}
  {{- if $image -}}
    {{- $url := $image.url -}}
    {{- if site.Params.keycdn -}}
      {{- $url = $image.direct_url -}}
    {{- end -}}
    {{- $lazy := default true .lazy -}}
    {{- $alt := or .alt "" -}}
    {{- if isset .image "alt" -}}
      {{- $alt = .image.alt -}}
    {{- end -}}
    {{- $width := $image.width -}}
    {{- $height := $image.height -}}
    {{- $default := "1280x720" -}}
    {{- if .desktop -}}
      {{- $default = .desktop -}}
    {{- end -}}
    {{- $crop := false -}}
    {{- if .crop -}}
      {{- $crop = true -}}
    {{- end -}}
    <picture>

      {{- if strings.HasSuffix $image.name "svg" -}}

        <img src="{{ partial "osuny/GetImageUrl" (dict "url" $url) }}"
             alt="{{ chomp (plainify $alt) }}"
             width="{{ $width }}"
             height="{{ $height }}"
             {{- if .class }} class="{{ .class }}"{{- end -}}
             {{- if $lazy }} loading="lazy"{{- end -}}
             {{- if .itemprop }} itemprop="image"{{- end -}}
             >

      {{- else -}}

        {{ with .desktop -}}
        <source srcset="{{ partial "osuny/GetImageUrl" (dict "url" $url "size" . "format" "webp" "crop" $crop ) }},
                        {{ partial "osuny/GetImageUrl" (dict "url" $url "size" . "format" "webp" "scale" 2 "crop" $crop) }} 2x"
                        media="(min-width: 1024px)" type="image/webp">
        {{- end }}
        {{ with .tablet -}}
        <source srcset="{{ partial "osuny/GetImageUrl" (dict "url" $url "size" . "format" "webp" "crop" $crop) }},
                        {{ partial "osuny/GetImageUrl" (dict "url" $url "size" . "format" "webp" "scale" 2 "crop" $crop) }} 2x"
                        media="(min-width: 768px)" type="image/webp">
        {{- end }}
        {{ with .mobile -}}
        <source srcset="{{ partial "osuny/GetImageUrl" (dict "url" $url "size" . "format" "webp" "crop" $crop) }},
                        {{ partial "osuny/GetImageUrl" (dict "url" $url "size" . "format" "webp" "scale" 2 "crop" $crop) }} 2x"
                        type="image/webp">
        {{- end }}
        {{ with .desktop -}}
        <source srcset="{{ partial "osuny/GetImageUrl" (dict "url" $url "size" . "crop" $crop ) }},
                        {{ partial "osuny/GetImageUrl" (dict "url" $url "size" . "scale" 2 "crop" $crop) }} 2x"
                        media="(min-width: 1024px)">
        {{- end }}
        {{ with .tablet -}}
        <source srcset="{{ partial "osuny/GetImageUrl" (dict "url" $url "size" . "crop" $crop ) }},
                        {{ partial "osuny/GetImageUrl" (dict "url" $url "size" . "scale" 2 "crop" $crop) }} 2x"
                        media="(min-width: 768px)">
        {{- end }}
        {{ with .mobile -}}
        <source srcset="{{ partial "osuny/GetImageUrl" (dict "url" $url "size" . "crop" $crop ) }},
                        {{ partial "osuny/GetImageUrl" (dict "url" $url "size" . "scale" 2 "crop" $crop) }} 2x">
        {{- end }}
        <img src="{{ partial "osuny/GetImageUrl" (dict "url" $url "size" $default "crop" $crop ) }}"
             alt="{{ chomp (plainify $alt) }}"
             width="{{ $width }}"
             height="{{ $height }}"
             {{- if .class }} class="{{ .class }}"{{- end -}}
             {{- if $lazy }} loading="lazy"{{- end -}}
             {{- if .itemprop }} itemprop="image"{{- end -}}
             >

      {{- end -}}
    </picture>
  {{- end -}}
{{- end -}}
